Ask Your Question
0

Openstack Ocata installation on Ubuntu 16.04

asked 2017-03-29 16:37:04 -0600

sherlock411 gravatar image

Hello -

I am trying to install Ocata (Controller Node) on Ubuntu 16.04LTS by following the install guide. I have tried this twice with brand new install and see following issue in "Create a domain, projects, users, and roles" section:

$ openstack project create --domain default --description "Service Project" service

Discovering versions from the identity service failed when creating the password plugin. Attempting to determine version from URL. Not Found (HTTP 404)

Also I have noticed that when you install keystone, /etc/keystone directory permissions are restricted to keystone/keystone with 700. I had to chmod them to 755.

Is anyone else running into this?

Thanks

edit retag flag offensive close merge delete

3 answers

Sort by ยป oldest newest most voted
1

answered 2017-03-30 15:44:14 -0600

sherlock411 gravatar image

My problem was related to no_proxy setting. I had given IP address in no_proxy environment variable. Using the hostname "controller" in no_proxy resolved the issue.

edit flag offensive delete link more

Comments

can you see and try to solve my problem please https://ask.openstack.org/en/question/104928/devtsack-ubuntu-stacksh-error-i-need-to-solve-it-quickly-for-my-thesis-pls/ (https://ask.openstack.org/en/question...)

soumel gravatar imagesoumel ( 2017-04-01 08:19:56 -0600 )edit
0

answered 2017-03-30 13:39:04 -0600

updated 2017-03-30 13:39:58 -0600

It looks like you are missing:

. admin-openrc

to pass credentials details to make it working, before issuing your command

edit flag offensive delete link more

Comments

1

Nope, I figured out what the issue was.

sherlock411 gravatar imagesherlock411 ( 2017-03-30 15:42:42 -0600 )edit

sherlock411, i am facing a similar issue. could you share what you found your issue was? thx!

oh wait I found my problem: if you are moving from identity api ver 2 to 3 make sure you change your RC ENV vars correctly export OS_AUTH_URL=http://xxxx:5000/v2.0 becomes ...:5000/v3/ not...:5000/v3.0

jamesopst gravatar imagejamesopst ( 2017-07-19 11:45:46 -0600 )edit
0

answered 2017-03-30 10:03:13 -0600

minimike gravatar image

Do you see something successful by openstack endpoint list openstack service list openstack project list

edit flag offensive delete link more

Comments

1

Nope. All the commands give the same error:

"Discovering versions from the identity service failed when creating the password plugin. Attempting to determine version from URL. Not Found (HTTP 404)"

sherlock411 gravatar imagesherlock411 ( 2017-03-30 13:21:21 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2017-03-29 16:37:04 -0600

Seen: 438 times

Last updated: Mar 30 '17